summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-07-15 07:33:07 +0200
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-07-15 07:33:07 +0200
commit8431a8507493e01e8cdd97496183fda2fa0d2310 (patch)
treec7fbcef44d9ccd470517ac3bce4855445f81e97f
parent02ba01efdb61244e6b4f1b18c171967ffa60e533 (diff)
dimes24-hetsim-transfer.sh: set -e within function only
-rwxr-xr-xMicrobenchmarks/CPU-DPU/dimes24-hetsim-transfer.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/Microbenchmarks/CPU-DPU/dimes24-hetsim-transfer.sh b/Microbenchmarks/CPU-DPU/dimes24-hetsim-transfer.sh
index 3eb71c5..e1df690 100755
--- a/Microbenchmarks/CPU-DPU/dimes24-hetsim-transfer.sh
+++ b/Microbenchmarks/CPU-DPU/dimes24-hetsim-transfer.sh
@@ -1,7 +1,5 @@
#!/bin/bash
-set -e
-
mkdir -p log/$(hostname)
fn=log/$(hostname)/$(date +%Y%m%d).t
@@ -9,6 +7,7 @@ fn=log/$(hostname)/$(date +%Y%m%d).t
run_benchmark_nmc() {
local "$@"
+ set -e
sudo limit_ranks_to_numa_node ${numa_rank}
make -B NR_RANKS=${nr_ranks} NR_TASKLETS=1 BL=10 TRANSFER=PUSH NUMA=1
bin/host_code -a $numa_in -b $numa_out -c $numa_cpu -w 0 -e 20 -x 0 -N 0 -I $(size -A bin/dpu_code | awk '($1 == ".text") {print $2/8}') -i ${input_size}